View Issue Details

IDCategoryLast Update
0008513bugs2021-02-19 20:02
ReporterfiliptwAssigned Tox42 
Reproducibilityalways 
Status closedResolutionfixed 
PlatformMicrosoftOSWindowsOS Version10
Product Version6.5 
Fixed in Version 
Summary0008513: Ardour crashes when adding TDR Nova VST3 to the session
DescriptionWhen adding the VST3 version of TDR Nova to the session, Ardour will hang for a few seconds and then crash. Doesn't matter if I add it to master or another audio track. I've attached the Windows report file from the crash, hopefully it's useful.
Steps To Reproduce1. Have TDR Nova installed and available in Ardour
2. Add it to the session
TagsNo tags attached.

Activities

filiptw

2020-12-21 20:02

reporter  

Report.wer (33,234 bytes)

x42

2020-12-21 20:11

administrator   ~0025339

Chances are that this is already fixed in Ardour 6.5.51 -- https://nightly.ardour.org

Also check %localappdata%\Ardour6\CrashLog\ -- that may have more info.

filiptw

2020-12-21 20:33

reporter   ~0025340

Thanks, I've attached the log file. Gonna try the nightly later.

Ardour-6.5.0-crash-1608580074.txt (9,733 bytes)
-------------------

Error occurred on Monday, December 21, 2020 at 19:51:08.

Ardour.exe caused a C++ exception handling exception at location 00007FFE4A45D759 in module KERNELBASE.dll.

AddrPC           Params
00007FFE4A45D759 00007FFDDAE50530 00007FFDDA7D4D2E 00007FFDDAE50530  KERNELBASE.dll!RaiseException
00007FFDDA7DA0EB 00007FFDDA6E0000 0000000022118900 0000000000000001  TDR Nova.vst3!0x7ffd000fa0eb
00007FFDDA7CEDE5 00007FFDDAE50530 0000000000000001 000000000D350CF0  TDR Nova.vst3!0x7ffd000eede5
00007FFDDA7AF721 00000000013AE7F0 00000000013A0000 0000000000000000  TDR Nova.vst3!0x7ffd000cf721
0000000001F3E1E3 0000000000000000 000000002EAF0460 000000002EA5FC80  ardour-3.dll!Steinberg::VST3PI::enable_io
0000000001F42F8E 00000000013AE960 000000006FCBFD9C 00000000000016A8  ardour-3.dll!ARDOUR::VST3Plugin::init
0000000001F46132 0000000000000001 0000000003590000 000000000E344910  ardour-3.dll!ARDOUR::VST3Plugin::VST3Plugin
0000000001F492A2 0000000000000000 00000000063D6510 00000000013AED80  ardour-3.dll!ARDOUR::VST3PluginInfo::load
00000000008B1C91 0000000000020002 0000000000000000 000000000E4B0E00  Ardour.exe!PluginSelector::run
00000000664DB3FC 00000000013AEC80 0000000063A62DB7 0000000000000000  libglibmm-2.4-1.dll!Glib::SignalProxyNormal::slot0_void_callback
0000000063A46DBC 0000000000000000 000000001155A380 00000000013AEF00  libgobject-2.0-0.dll!g_closure_invoke
0000000063A59BE8 0000000006838F80 0000000000000000 000000001155A380  libgobject-2.0-0.dll!signal_emit_unlocked_R
0000000063A63049 000000001155A380 000000001155A380 0000000000000000  libgobject-2.0-0.dll!g_signal_emit_valist
0000000063A631F8 0000000011551250 00007FFE4A16063B 0000000000000000  libgobject-2.0-0.dll!g_signal_emit
0000000061A33557 000000006C3F76B0 0000000068600376 000000001155A380  libgtk-win32-2.0-0.dll!gtk_widget_activate
00000000618C18ED 404D800000000000 0000000063A4B06F 000000240000003B  libgtk-win32-2.0-0.dll!gtk_menu_shell_activate_item
00000000618C1E45 00000000013AF310 00000000618B2973 00000000013AF1D0  libgtk-win32-2.0-0.dll!gtk_menu_shell_button_release
00000000618B1B25 000092416943A011 000004FB00000001 0000000000000000  libgtk-win32-2.0-0.dll!gtk_menu_button_release
00000000618A7276 0000000000000001 0000000000000102 00000000013AF210  libgtk-win32-2.0-0.dll!_gtk_marshal_BOOLEAN__BOXED
0000000063A46DBC 0000000000000000 0000000011551250 00000000115594A0  libgobject-2.0-0.dll!g_closure_invoke
0000000063A597E3 00000000013AF5EC 0000000000000000 0000000011551250  libgobject-2.0-0.dll!signal_emit_unlocked_R
0000000063A62C1C 0000000011551250 0000000061A3474A 0000000000000000  libgobject-2.0-0.dll!g_signal_emit_valist
0000000063A631F8 00007FFE4A701064 0000000063A4CE67 0000000011551250  libgobject-2.0-0.dll!g_signal_emit
0000000061A34C3D 00000000013AF6C8 0000000061A382EE 00000000013AF6C8  libgtk-win32-2.0-0.dll!gtk_widget_event_internal
00000000618A5791 00000000013AF740 0000000068636E4C 000000006C3973E0  libgtk-win32-2.0-0.dll!gtk_propagate_event
00000000618A5C7B 000000006C3973E0 0000000004D47000 00000000013AF740  libgtk-win32-2.0-0.dll!gtk_main_do_event
000000006C392ACC 0000000000000000 00007FFE4C7DBA51 0000001450DDAE0D  libgdk-win32-2.0-0.dll!gdk_event_dispatch
0000000068607613 0000000000000000 00000000013AFD98 0000000000000017  libglib-2.0-0.dll!g_main_context_dispatch
00000000686078CC 0000001300000000 000000006A154694 0000000000000010  libglib-2.0-0.dll!g_main_context_iterate.isra.26
0000000068608093 00000000067D9560 00000000013AFDB0 0000000000D87130  libglib-2.0-0.dll!g_main_loop_run
00000000618A48C0 0000000004E23B70 0000000004E23B70 0000000000000000  libgtk-win32-2.0-0.dll!gtk_main
000000006571DF06 0000000000000001 0000000004D9EE90 0000000003590860  gtkmm2ext-0.dll!Gtkmm2ext::UI::run
0000000000D7E991 0000000000000001 0000000004D82C00 00000000010C6AC8  Ardour.exe!main
00000000004013E8 0000000000000000 0000000000000000 0000000000000000  Ardour.exe!__tmainCRTStartup  [/tmp/buildd/mingw-w64-3.2.0/build/x86_64-w64-mingw32-x86_64-w64-mingw32-crt/../../mingw-w64-crt/crt/crtexe.c @ 332]
00000000004014EB 0000000000000000 0000000000000000 0000000000000000  Ardour.exe!WinMainCRTStartup  [/tmp/buildd/mingw-w64-3.2.0/build/x86_64-w64-mingw32-x86_64-w64-mingw32-crt/../../mingw-w64-crt/crt/crtexe.c @ 184]
00007FFE4C7D7034 0000000000000000 0000000000000000 0000000000000000  KERNEL32.DLL!BaseThreadInitThunk
00007FFE4C99D0D1 0000000000000000 0000000000000000 0000000000000000  ntdll.dll!RtlUserThreadStart

Ardour.exe
ntdll.dll   	6.2.19041.662
KERNEL32.DLL	6.2.19041.662
KERNELBASE.dll	6.2.19041.662
GDI32.dll   	6.2.19041.685
win32u.dll  	6.2.19041.662
gdi32full.dll	6.2.19041.685
msvcp_win.dll	6.2.19041.546
libatkmm-1.6-1.dll
libcairomm-1.0-1.dll
libcairo-2.dll
ucrtbase.dll	6.2.19041.546
msvcrt.dll  	7.0.19041.546
USER32.dll  	6.2.19041.685
libcurl-4.dll
exchndl.dll 	0.9.2.0
libfftw3f-3.dll
libfontconfig-1.dll
ADVAPI32.dll	6.2.19041.610
CRYPT32.dll 	6.2.19041.546
sechost.dll 	6.2.19041.662
libgdk-win32-2.0-0.dll	2.24.25.0
libgdkmm-2.4-1.dll
RPCRT4.dll  	6.2.19041.662
WLDAP32.dll 	6.2.19041.546
IMM32.dll   	6.2.19041.546
PSAPI.DLL   	6.2.19041.546
ole32.dll   	6.2.19041.546
libglib-2.0-0.dll	2.42.0.0
WS2_32.dll  	6.2.19041.546
SHELL32.dll 	6.2.19041.662
combase.dll 	6.2.19041.662
libglibmm-2.4-1.dll
libgtk-win32-2.0-0.dll	2.24.25.0
libgobject-2.0-0.dll	2.42.0.0
libintl-8.dll	0.19.3.0
comdlg32.dll	6.2.19041.662
liblo-7.dll
libpango-1.0-0.dll	1.40.4.0
libpangocairo-1.0-0.dll	1.40.4.0
shcore.dll  	6.2.19041.662
libpangoft2-1.0-0.dll	1.40.4.0
SHLWAPI.dll 	6.2.19041.546
pthreadGC2.dll	2.9.1.0
libpangomm-1.4-1.dll
libsigc-2.0-0.dll
libxml2-2.dll
lilv-0.dll
suil-0.dll
libatk-1.0-0.dll	2.14.0.0
libpixman-1-0.dll
libfreetype-6.dll
zlib1.dll   	1.2.7.0
libpng16-16.dll
MSIMG32.dll 	6.2.19041.546
libgcc_s_seh-1.dll
libstdc++-6.dll
audiographer-0.dll
evoral-0.dll
canvas-0.dll
gtkmm2ext-0.dll
pbd-4.dll
midipp-4.dll
ptformat-0.dll
waveview-0.dll
ardourcp.dll
temporal-0.dll
mgwhelp.dll 	0.9.2.0
VERSION.dll 	6.2.19041.546
WINMM.dll   	6.2.19041.546
libgmodule-2.0-0.dll	2.42.0.0
libffi-6.dll
IPHLPAPI.DLL	6.2.19041.546
COMCTL32.dll	5.82.19041.488
libpangowin32-1.0-0.dll	1.40.4.0
libharfbuzz-0.dll
WINSPOOL.DRV	6.2.19041.546
sord-0.dll
sratom-0.dll
libsndfile-1.dll	1.0.27.0
libgiomm-2.4-1.dll
dbghelp.dll 	10.0.17763.1
USP10.dll   	6.2.19041.546
libogg-0.dll
libvorbis-0.dll
libFLAC-8.dll
libvorbisenc-2.dll
dbgcore.DLL 	10.0.17763.1
widgets-0.dll
ardour-3.dll
libgtkmm-2.4-1.dll
libgdk_pixbuf-2.0-0.dll	2.31.1.0
libgio-2.0-0.dll	2.42.0.0
serd-0.dll
libiconv-2.dll	1.14.0.0
libsamplerate-0.dll
libarchive-13.dll
libgnurx-0.dll
libjpeg-9.dll
DNSAPI.dll  	6.2.19041.610
liblzma-5.dll	5.2.2.0
libfftw3-3.dll
libtiff-5.dll
libtag.dll
CRYPTSP.dll 	6.2.19041.546
rsaenh.dll  	6.2.19041.546
bcrypt.dll  	6.2.19041.662
CRYPTBASE.dll	6.2.19041.546
bcryptPrimitives.dll	6.2.19041.662
NSI.dll     	6.2.19041.610
windows.storage.dll	6.2.19041.662
Wldp.dll    	6.2.19041.662
kernel.appcore.dll	6.2.19041.546
uxtheme.dll 	6.2.19041.610
OLEAUT32.dll	6.2.19041.546
CFGMGR32.dll	6.2.19041.546
clbcatq.dll 	2001.12.10941.16384
propsys.dll 	7.0.19041.546
profapi.dll 	6.2.19041.546
secur32.dll 	6.2.19041.546
SSPICLI.DLL 	6.2.19041.662
mswsock.dll 	6.2.19041.546
avrt.dll    	6.2.19041.546
ardour_cc121.dll
ardour_contourdesign.dll
libusb-1.0.dll	1.0.20.11004
SetupAPI.dll	6.2.19041.546
libusbK.DLL 	3.0.7.0
wintrust.DLL	6.2.19041.662
MSASN1.dll  	6.2.19041.546
winusb.dll  	6.2.19041.1
hid.dll     	6.2.19041.546
ardour_faderport.dll
ardour_faderport16.dll
ardour_faderport2.dll
ardour_faderport8.dll
ardour_generic_midi.dll
ardour_launch_control_xl.dll
ardour_mcp.dll
ardour_osc.dll
ardour_push2.dll
ardour_us2400.dll
ardour_websockets.dll
libwebsockets.dll	4.0.15.0
pan1in2out.dll
pan2in2out.dll
panbalance.dll
panvbap.dll
dummy_audiobackend.dll
portaudio_callback_backend.dll
libportaudio-2.dll
libclearlooks.la
rasadhlp.dll	6.2.19041.546
TextShaping.dll
winmmbase.dll	6.2.19041.1
MMDevAPI.DLL	6.2.19041.546
DEVOBJ.dll  	6.2.19041.546
wdmaud.drv  	6.2.19041.1
ksuser.dll  	6.2.19041.1
AUDIOSES.DLL	6.2.19041.662
powrprof.dll	6.2.19041.546
UMPDC.dll
msacm32.drv 	6.2.19041.488
MSACM32.dll 	6.2.19041.1
midimap.dll 	6.2.19041.488
resourcepolicyclient.dll	6.2.19041.546
CMUSBDACASIO64.dll	10.0.16.9492
asio4all64.dll	2.14.0.0
MSCTF.dll   	6.2.19041.662
winhttp.dll 	6.2.19041.546
comctl32.dll	6.10.19041.488
WindowsCodecs.dll	6.2.19041.546
textinputframework.dll	6.2.19041.662
CoreMessaging.dll	6.2.19041.610
CoreUIComponents.dll	6.2.19041.546
ntmarta.dll 	6.2.19041.546
wintypes.dll	6.2.19041.662
fwpuclnt.dll	6.2.19041.546
mscms.dll   	6.2.19041.546
USERENV.dll 	6.2.19041.572
ColorAdapterClient.dll	6.2.19041.546
icm32.dll   	6.2.19041.546
SPAN.vst3   	3.8.0.0
Obxd.dll    	1.0.0.0
a-eq.dll
ValhallaFreqEcho_x64.dll	1.2.0.0
WININET.dll 	11.0.19041.546
a-comp.dll
TAL-Reverb-4-64.dll	2.2.7.0
Surge.vst3  	1.7.1.0
OPENGL32.dll	6.2.19041.546
d2d1.dll    	6.2.19041.546
DWrite.dll  	6.2.19041.546
dwmapi.dll  	6.2.19041.546
GLU32.dll   	6.2.19041.546
Tunefish4.dll	4.2.0.0
helm64.dll  	0.9.0.0
thumbcache.dll	6.2.19041.546
policymanager.dll	6.2.19041.662
msvcp110_win.dll	6.2.19041.546
dataexchange.dll	6.2.19041.546
d3d11.dll   	6.2.19041.546
dcomp.dll   	6.2.19041.662
dxgi.dll    	6.2.19041.546
twinapi.appcore.dll	6.2.19041.546
TDR Nova.vst3	2.1.3.0
symsrv.dll  	10.0.17763.1
iertutil.dll	11.0.19041.630
ondemandconnroutehelper.dll	6.2.19041.546
WINNSI.DLL  	6.2.19041.546
urlmon.dll  	11.0.19041.610

Windows 6.2.9200
DrMingw 0.9.2

x42

2020-12-21 20:48

administrator   ~0025341

Thanks. Yes, this issue is fixed since 6.5.5

anonymous

2021-02-19 20:02

viewer   ~0025535

Issue has been closed automatically, by Trigger Close Plugin.
Feel free to re-open with additional information if you think the issue is not resolved.

Issue History

Date Modified Username Field Change
2020-12-21 20:02 filiptw New Issue
2020-12-21 20:02 filiptw File Added: Report.wer
2020-12-21 20:11 x42 Note Added: 0025339
2020-12-21 20:33 filiptw File Added: Ardour-6.5.0-crash-1608580074.txt
2020-12-21 20:33 filiptw Note Added: 0025340
2020-12-21 20:48 x42 Note Added: 0025341
2020-12-21 20:49 x42 Assigned To => x42
2020-12-21 20:49 x42 Status new => resolved
2020-12-21 20:49 x42 Resolution open => fixed
2021-02-19 20:02 anonymous Note Added: 0025535
2021-02-19 20:02 anonymous Status resolved => closed